(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 4.2'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     16868,        442]*)
(*NotebookOutlinePosition[     17546,        465]*)
(*  CellTagsIndexPosition[     17502,        461]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["TMecanica1`TMecanica`", "Title",
  Background->None],

Cell["Authors: Renan Cabrera. ", "Subtitle",
  Background->None],

Cell[CellGroupData[{

Cell["History", "Section",
  ShowGroupOpenCloseIcon->True],

Cell["8/29/2003: First version ", "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["Annotation", "Section",
  ShowGroupOpenCloseIcon->True,
  InitializationCell->True,
  Background->None],

Cell[BoxData[
    \( (*\ \ TMecanica\ is\ a\ Mathematica\ package\ that\ needs\ the\ \
package\ Tensorial\ 3.0\ \ *) \)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \( (*\ \ Author : \ Renan\ Cabrera\ \ \ *) \)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \( (*\ \ rencabla@ceibo . entelnet . bo\ /\ 
        renanbo@hotmail . com\ *) \)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \( (*\ \ I\ would\ appreciate\ any\ comments\ and\ your\ contributions\ \
are\ welcome\ to\ become\ part\ of\ \(\(TMecanica\)\(.\)\)\ *) \)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \( (*\ TMecanica\ can\ be\ used\ and\ distributed\ freely, \ 
      for\ non\ commercial\ purpose, \ \n
      always\ mentioning\ the\ author\ every\ time\ used\ as\ specified\ at\ \
Mathsource\ \((www . mathsource . com)\)\n\n\ 
        This\ software\ package\ and\ its\ accompanying\ documentation\ are\ \
provided\ without\ \n\ 
        guarantee\ of\ support\ or\ maintenance\ *) \)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \( (*\ \ Mathematica\ is\ a\ registered\ trademark\ of\ Wolfram\ \
Research, \ \(\(Inc\)\(.\)\)\ \ \ \ \ *) \)], "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Notebook Package", "Section",
  ShowGroupOpenCloseIcon->True,
  InitializationCell->True],

Cell[BoxData[
    \(BeginPackage["\<TMecanica1`TMecanica`\>", {"\<Graphics`Colors`\>", \
"\<TensorCalculus3`Tensorial`\>"}]\)], "Input",
  InitializationCell->True],

Cell[CellGroupData[{

Cell["Usage Messages", "Subsection",
  ShowGroupOpenCloseIcon->True,
  InitializationCell->True],

Cell[BoxData[
    \(\(PoissonB::usage = "\< PoissonB[G,W], represents the Poisson Bracket \
of G and W \>";\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(ExpandPoissonB::usage = "\<ExpandPoissonB[{x, \[Delta], g, \
\[CapitalGamma]}, J, {\[Mu],\[Nu]}, flavor:Identity][expr] expands the \
Poisson brackets in a system with labels {x,\[Delta],g,\[CapitalGamma]}, \
Symplectic matrix label J and dummy variables {\[Mu],\[Nu]} using the given \
flavor which has the default value of Identity for plain.\>";\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(FullExpandPoissonB::usage = \
\[IndentingNewLine]"\<FullExpandPoissonB[{x, \[Delta], g, \[CapitalGamma]}, \
J, flavor:Identity][expr] fully expands the Poisson Bracket in a system with \
labels {x,\[Delta],g,\[CapitalGamma]}, and symplectic matrix label J using \
the given flavor which has the default value of Identity for plain.\>";\)\)], \
"Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(SetSymplecticJValues::usage = "\<SetSymplecticJValues[J, dim, \
flavor:Identity] sets the values of the tensor object of label J  to the \
symplectic values in a space of dimension dim. The default flavor is plain, \
specified by Identity. dim must be a positive even integer.\>";\)\)], "Input",\

  InitializationCell->True],

Cell[BoxData[
    \(\(SetSymplecticJValueRules::usage = "\<SetSymplecticJValueRules[J, dim, \
flavor:Identity] sets value rules for the tensor object of label J  to the \
symplectic values in a space of dimension dim. The default flavor is plain, \
specified by Identity. dim must be a positive even integer.\>";\)\)], "Input",\

  InitializationCell->True],

Cell[BoxData[
    \(\(\(TOperator::usage = "\<TOperator[G, \[Epsilon], n][W] gives the nth \
order expansion of the operator T of the accumulative effect of infinitesimal \
canonical transformations generated by G in the parameter \[Epsilon]. If G is \
the Hamiltonian, the operator T is the evolution operator. \n
Both G and W must be tensor objects.\n 

This routine returns an expression with Hold. Use the rule Hold \[Rule] \
Identity to obtain full evaluation.\>";\)\(\[IndentingNewLine]\)
    \)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(\(InverseTOperator::usage = "\<InverseTOperator[G, \[Epsilon], n][W] \
gives the nth order expansion of the inverse operator T of the accumulative \
effect of infinitesimal canonical transformations generated by G in the \
parameter \[Epsilon]. If G is the Hamiltonian, the operator T is the \
evolution operator. \n
Both G and W must be tensor objects.\n 

This routine returns an expression with Hold. Use the rule Hold \[Rule] \
Identity to obtain full evaluation.\>";\)\(\[IndentingNewLine]\)
    \)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(ExpandedTOperator::usage = "\<ExpandedTOperator[{x, \[Delta], g, \
\[CapitalGamma]}, J, G, \[Epsilon], n][W] gives the nth order expansion of \
the operator T of the accumulative effect of infinitesimal canonical \
transformations generated by G  in the parameter \[Epsilon]. The difference \
with TOperator is that here the expansion is fully evaluated and we assume \
that G does not depend on the expansion parameter \[Epsilon], which is useful \
for most of the intersting cases. Be carefull not to apply this expansion to \
generators expanded in a perturbative series because in this case the \
perturbation parameter appears explicitly in the whole generator.\n
\>";\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(InverseTOperatorPerturbationExpansion::usage = \
"\<InverseTOperatorPerturbationExpansion[G, W, n] will create a perturbative \
series expansion of the inverse transformation operator with generators of \
label G, applied to a tensor W in terms of the parameter \[Epsilon]. \nThe \
original series expansion are of nth order.\>";\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(GeneratorPerturbationExpansion::usage = \
"\<GeneratorPerturbationExpansion[G, \[Epsilon], n] will create a nth order \
perturbative series expansion for the generator of label G. This series \
expansion is meant only for the generator of the transformation operator.\>";\
\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(TOperatorPerturbationExpansion::usage = \
"\<TOperatorPerturbationExpansion[G, W, n] will create a perturbative series \
expansion of the transformation operator with generators of label G, applied \
to a tensor W in terms of the parameter \[Epsilon]. \nThe original series \
expansion are of nth order.\>";\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(HamiltonianPerturbationExpansion::usage = \
"\<HamiltonianPerturbationExpansion[K, \[Epsilon], n] will create an nth \
order perturbative series expansion for the new Hamiltonian with label K in \
the parameter \[Epsilon].\>";\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(ExtractSeriesTerm::usage = "\<ExtractSeriesTerm[\[Epsilon], n][expr] \
gets the nth order expansion of expr if the series is collected in terms of \
\[Epsilon]\>";\)\)], "Input",
  InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{

Cell["Routines", "Subsection",
  ShowGroupOpenCloseIcon->True,
  InitializationCell->True],

Cell[BoxData[
    \(Begin["\<`Private`\>"]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(Format[PoissonB[G_, W_]] := \ {G, W};\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(\(\[IndentingNewLine]\)\(PoissonB /: 
        HoldPattern[\(PartialD[lab_]\)[PoissonB[G_, W_], s_]] := 
        PoissonB[G, \(PartialD[lab]\)[W, s]\ ] + 
          PoissonB[\(PartialD[lab]\)[G, s]\ , W];\)\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(HoldPattern[PoissonB[A_, B_*C_]] := 
        PoissonB[A, B]*C\  + \ B*PoissonB[A, C];\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(HoldPattern[PoissonB[B_*C_, A_]] := 
        PoissonB[B, A]*C\  + \ B*PoissonB[C, A];\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(HoldPattern[
            PoissonB[A_, B_]] /; \((Position[A, Tensor] === {} || 
              Position[B, Tensor] === {})\) := 0;\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[{
    \(\(HoldPattern[PoissonB[G_, W_Plus]] := 
        Map[PoissonB[G, #] &, W];\)\), "\[IndentingNewLine]", 
    \(\(HoldPattern[PoissonB[G_Plus, W_]] := 
        Map[PoissonB[#, W] &, G];\)\), "\[IndentingNewLine]", 
    \(\)}], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(\(ExpandPoissonB[{x_, \[Delta]_, g_, \[CapitalGamma]_}, 
            J_, {\[Mu]_, \[Nu]_}, flavor_:  Identity]\)[Q_] := \ 
        Module[{xu, i}, \[IndentingNewLine]xu[i_] = 
            Tensor[x, {i}, {Void}]; \[IndentingNewLine]Q /. 
            HoldPattern[
                PoissonB[W_, 
                  G_]] :> \(PartialD[{x, \[Delta], g, \[CapitalGamma]}]\)[W, 
                  xu[flavor@\[Mu]]] 
                Tensor[J, 
                  flavor /@ {\[Mu], \[Nu]}, {Void, 
                    Void}] \(PartialD[{x, \[Delta], g, \[CapitalGamma]}]\)[G, 
                  xu[flavor@\[Nu]]]\[IndentingNewLine]];\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(\(FullExpandPoissonB[{x_, \[Delta]_, g_, \[CapitalGamma]_}, J_, 
            flavor_:  Identity]\)[Q_] := \ 
        Module[{G, W, dum}, \[IndentingNewLine]dum = 
            Q //. HoldPattern[
                  PoissonB[W_, 
                    G_]] :> \(ExpandPoissonB[{x, \[Delta], 
                      g, \[CapitalGamma]}, J, {Unique[\[Mu]], Unique[\[Nu]]}, 
                    flavor]\)[
                  PoissonB[W, G]]; \[IndentingNewLine]\(EinsteinSum[]\)[
            dum]\[IndentingNewLine]];\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(SetSymplecticJ[Tensor[J_, {\[Mu]_, \[Nu]_}, {Void, Void}], 
          dim_?EvenQ] := 
        Module[{k}, \[IndentingNewLine]J1 = 
            Inner[Join, k @@ Table[0, {dim/2}, {dim/2}], 
              k @@ IdentityMatrix[dim/2], List]; \[IndentingNewLine]J2 = 
            Inner[Join, k @@ \((\(-IdentityMatrix[dim/2]\))\), 
              k @@ Table[0, {dim/2}, {dim/2}], 
              List]; \[IndentingNewLine]SetTensorValues[
            Tensor[J, {\[Mu], \[Nu]}, {Void, Void}], 
            Join[J1, J2]]\[IndentingNewLine]];\)\)], "Input"],

Cell[BoxData[
    \(\(SetSymplecticJValues[J_, 
          dim_Integer?\((EvenQ[#] \[And] Positive[#] &)\), 
          flavor_:  Identity] := 
        Module[{k}, \[IndentingNewLine]J1 = 
            Inner[Join, k @@ Table[0, {dim/2}, {dim/2}], 
              k @@ IdentityMatrix[dim/2], List]; \[IndentingNewLine]J2 = 
            Inner[Join, k @@ \((\(-IdentityMatrix[dim/2]\))\), 
              k @@ Table[0, {dim/2}, {dim/2}], 
              List]; \[IndentingNewLine]SetTensorValues[
            Tensor[J, flavor /@ {Global`\[Mu], Global`\[Nu]}, {Void, Void}], 
            Join[J1, J2]]\[IndentingNewLine]];\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(SetSymplecticJValueRules[J_, 
          dim_Integer?\((EvenQ[#] \[And] Positive[#] &)\), 
          flavor_:  Identity] := 
        Module[{k}, \[IndentingNewLine]J1 = 
            Inner[Join, k @@ Table[0, {dim/2}, {dim/2}], 
              k @@ IdentityMatrix[dim/2], List]; \[IndentingNewLine]J2 = 
            Inner[Join, k @@ \((\(-IdentityMatrix[dim/2]\))\), 
              k @@ Table[0, {dim/2}, {dim/2}], 
              List]; \[IndentingNewLine]SetTensorValueRules[
            Tensor[J, flavor /@ {Global`\[Mu], Global`\[Nu]}, {Void, Void}], 
            Join[J1, J2]]\[IndentingNewLine]];\)\)], "Input",
  InitializationCell->True],

Cell["Series expansions.", "Text"],

Cell[BoxData[
    \(\(TOperator[G_, t_, n_]\)[W_] := 
      Module[{k}, \[IndentingNewLine]NestList[\ \ Hold[\ 
                Integrate[PoissonB[G, #], t]] &\ , \ W\ , n] . 
          Table[\((\(-1\))\)^k, {k, 0, n}]\[IndentingNewLine]]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(InverseTOperator[G_, t_, n_]\)[W_] := 
      Module[{k}, \[IndentingNewLine]NestList[\ \ Hold[\ 
                Integrate[PoissonB[G, #], t]] &\ , \ W\ , n] . 
          Table[\((1)\)^k, {k, 0, n}]\[IndentingNewLine]]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(\(ExpandedTOperator[{x_, \[Delta]_, g_, \[CapitalGamma]_}, J_, G_, t_, 
          n_, fla_:  Identity]\)[W_] := 
      Module[{k, \[Mu], \[Nu]}, 
        ExpandedP = \(NondependentPartialD[{x, 
                  J}]\)[\(ExpandPoissonB[{x, \[Delta], g, \[CapitalGamma]}, 
                  J, {fla@\[Mu], fla@\[Nu]}]\)[
                PoissonB[G, #]]] &; \[IndentingNewLine]W + 
          Drop[NestList[\(SumExpansion[{fla@\[Mu], fla@\[Nu]}]\)[
                    ExpandedP[# // Expand]] &, W, n], 1] . 
            Table[\((\(-1\))\)^k*t^k/\(k!\), {k, 1, n}]]\)], "Input",
  InitializationCell->True],

Cell[BoxData[{
    \(\(\(ExtractSeriesTerm[\[Epsilon]_, 0]\)[expr_] := 
        expr /. \[Epsilon] -> 0;\)\), "\[IndentingNewLine]", 
    \(\(\(ExtractSeriesTerm[\[Epsilon]_, 1]\)[expr_] := 
        expr /. a_*\[Epsilon] + _ -> a;\)\), "\[IndentingNewLine]", 
    \(\(\(ExtractSeriesTerm[\[Epsilon]_, n_]\)[expr_] := 
        expr /. {a_*\[Epsilon]^n + _ -> a};\)\)}], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(TOperatorPerturbationExpansion[G_, W_, \[Epsilon]_, n_?IntegerQ] := 
      Module[{}, \
\[IndentingNewLine]Collect[\[IndentingNewLine]Expand[\(TOperator[\
\[IndentingNewLine]GeneratorPerturbationExpansion[G, \[Epsilon], 
                    2], \[Epsilon], n]\)[W] /. 
              Hold \[Rule] 
                Identity]\[IndentingNewLine], \[Epsilon]]]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(InverseTOperatorPerturbationExpansion[G_, W_, \[Epsilon]_, 
        n_?IntegerQ] := 
      Module[{}, \
\[IndentingNewLine]Collect[\[IndentingNewLine]Expand[\(InverseTOperator[\
\[IndentingNewLine]GeneratorPerturbationExpansion[G, \[Epsilon], 
                    2], \[Epsilon], n]\)[W] /. 
              Hold \[Rule] 
                Identity]\[IndentingNewLine], \[Epsilon]]]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(GeneratorPerturbationExpansion[G_, \[Epsilon]_, n_?IntegerQ] := 
      Plus @@ \((\(Part[#, 2]*Tensor[G, {Void}, {Part[#, 1]}] &\) /@ 
            Table[{i, \[Epsilon]^\((i - 1)\)}, {i, 1, n}])\)\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    \(HamiltonianPerturbationExpansion[K_, \[Epsilon]_, n_?IntegerQ] := 
      Plus @@ \((\(Part[#, 2]*Tensor[K, {Void}, {Part[#, 1]}] &\) /@ 
            Table[{i, \[Epsilon]^i}, {i, 0, n}])\)\)], "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{

Cell["EndPackage", "Subsection",
  ShowGroupOpenCloseIcon->True,
  InitializationCell->True],

Cell[BoxData[
    \(End[]\)], "Input",
  InitializationCell->True],

Cell[BoxData[
    RowBox[{"EndPackage", "[", "]"}]], "Input",
  InitializationCell->True]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"4.2 for Microsoft Windows",
ScreenRectangle->{{0, 1280}, {0, 943}},
AutoGeneratedPackage->Automatic,
WindowSize->{671, 500},
WindowMargins->{{Automatic, 90}, {Automatic, -1}}
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1776, 53, 58, 1, 115, "Title"],
Cell[1837, 56, 64, 1, 64, "Subtitle"],

Cell[CellGroupData[{
Cell[1926, 61, 58, 1, 59, "Section"],
Cell[1987, 64, 41, 0, 33, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[2065, 69, 109, 3, 39, "Section",
  InitializationCell->True],
Cell[2177, 74, 158, 3, 30, "Input",
  InitializationCell->True],
Cell[2338, 79, 102, 2, 30, "Input",
  InitializationCell->True],
Cell[2443, 83, 138, 3, 30, "Input",
  InitializationCell->True],
Cell[2584, 88, 196, 3, 50, "Input",
  InitializationCell->True],
Cell[2783, 93, 444, 8, 130, "Input",
  InitializationCell->True],
Cell[3230, 103, 167, 3, 30, "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{
Cell[3434, 111, 95, 2, 39, "Section",
  InitializationCell->True],
Cell[3532, 115, 164, 3, 50, "Input",
  InitializationCell->True],

Cell[CellGroupData[{
Cell[3721, 122, 96, 2, 47, "Subsection",
  InitializationCell->True],
Cell[3820, 126, 150, 3, 30, "Input",
  InitializationCell->True],
Cell[3973, 131, 413, 6, 110, "Input",
  InitializationCell->True],
Cell[4389, 139, 402, 7, 110, "Input",
  InitializationCell->True],
Cell[4794, 148, 347, 6, 110, "Input",
  InitializationCell->True],
Cell[5144, 156, 357, 6, 110, "Input",
  InitializationCell->True],
Cell[5504, 164, 542, 10, 210, "Input",
  InitializationCell->True],
Cell[6049, 176, 566, 11, 210, "Input",
  InitializationCell->True],
Cell[6618, 189, 738, 11, 230, "Input",
  InitializationCell->True],
Cell[7359, 202, 394, 6, 110, "Input",
  InitializationCell->True],
Cell[7756, 210, 338, 6, 110, "Input",
  InitializationCell->True],
Cell[8097, 218, 372, 6, 110, "Input",
  InitializationCell->True],
Cell[8472, 226, 291, 5, 90, "Input",
  InitializationCell->True],
Cell[8766, 233, 228, 4, 70, "Input",
  InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{
Cell[9031, 242, 90, 2, 47, "Subsection",
  InitializationCell->True],
Cell[9124, 246, 83, 2, 30, "Input",
  InitializationCell->True],
Cell[9210, 250, 102, 2, 30, "Input",
  InitializationCell->True],
Cell[9315, 254, 270, 5, 70, "Input",
  InitializationCell->True],
Cell[9588, 261, 150, 3, 30, "Input",
  InitializationCell->True],
Cell[9741, 266, 150, 3, 30, "Input",
  InitializationCell->True],
Cell[9894, 271, 194, 4, 50, "Input",
  InitializationCell->True],
Cell[10091, 277, 281, 6, 70, "Input",
  InitializationCell->True],
Cell[10375, 285, 686, 13, 170, "Input",
  InitializationCell->True],
Cell[11064, 300, 571, 11, 150, "Input",
  InitializationCell->True],
Cell[11638, 313, 569, 10, 170, "Input"],
Cell[12210, 325, 655, 12, 210, "Input",
  InitializationCell->True],
Cell[12868, 339, 663, 12, 210, "Input",
  InitializationCell->True],
Cell[13534, 353, 34, 0, 33, "Text"],
Cell[13571, 355, 279, 5, 90, "Input",
  InitializationCell->True],
Cell[13853, 362, 281, 5, 70, "Input",
  InitializationCell->True],
Cell[14137, 369, 622, 11, 150, "Input",
  InitializationCell->True],
Cell[14762, 382, 405, 7, 70, "Input",
  InitializationCell->True],
Cell[15170, 391, 416, 8, 130, "Input",
  InitializationCell->True],
Cell[15589, 401, 439, 9, 130, "Input",
  InitializationCell->True],
Cell[16031, 412, 256, 4, 70, "Input",
  InitializationCell->True],
Cell[16290, 418, 248, 4, 50, "Input",
  InitializationCell->True]
}, Closed]],

Cell[CellGroupData[{
Cell[16575, 427, 92, 2, 31, "Subsection",
  InitializationCell->True],
Cell[16670, 431, 66, 2, 30, "Input",
  InitializationCell->True],
Cell[16739, 435, 89, 2, 30, "Input",
  InitializationCell->True]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

